import { Bbox, MapTileAdapterContext, Tile } from "../types";
interface Props {
    ctx: MapTileAdapterContext;
    destinationRequest: {
        tile: Tile;
        bbox: Bbox;
    };
    sourceRequests: {
        tile: Tile;
        bbox: Bbox;
        url: string;
    }[];
    checkCanceled: () => boolean;
}
export declare const loadTile: ({ ctx, destinationRequest, sourceRequests, checkCanceled }: Props) => Promise<{
    canvas: HTMLCanvasElement;
    translate: number[];
    zoom: number;
} | null>;
export {};
