import { Bbox, DestinationTileToSourceTilesFn, DestinationToPixelFn, DestinationToSourceFn, PixelToDestinationFn, SourceToPixelFn, Tile } from "../types";
interface PresetOptions {
    zoomOffset: number;
}
declare const destinationToPixel: DestinationToPixelFn;
declare const pixelToDestination: PixelToDestinationFn;
declare const destinationToSource: DestinationToSourceFn;
declare const sourceToPixel: SourceToPixelFn;
declare const destinationTileToSourceTiles: (destinationRequest: {
    tile: Tile;
    bbox: Bbox;
}, options: PresetOptions) => {
    tile: Tile;
    bbox: number[];
}[];
export declare type Epsg4326ToEpsg3857PresetOptions = Partial<PresetOptions>;
export declare const epsg4326ToEpsg3857Presets: (options?: Epsg4326ToEpsg3857PresetOptions) => {
    destinationToPixel: DestinationToPixelFn;
    pixelToDestination: PixelToDestinationFn;
    destinationToSource: DestinationToSourceFn;
    sourceToPixel: SourceToPixelFn;
    destinationTileToSourceTiles: DestinationTileToSourceTilesFn;
};
export {};
