interface TileCacheOptions<Item = unknown> {
    fetchTile: (key: string) => Promise<Item>;
    maxCache: number;
}
export declare class TileCache<Item = unknown> {
    private options;
    private items;
    private lru;
    constructor(options: TileCacheOptions<Item>);
    private removeLeastRecentlyUsed;
    private touchItem;
    private pushItem;
    private publish;
    private subscribe;
    getTile(key: string): Promise<Item | null>;
}
export {};
